Foreman - Feature #33318

provide a list of JavaScript dependencies that can be ignored during package building
08/23/2021 07:32 AM - Evgeni Golov

Status: Closed
Priority: Normal
Assignee: Evgeni Golov
Category:
Target version:
Difficulty: Fixed in Releases: 3.0.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/g729,
https://github.com/theforeman/foreman/p
ull/8731,
https://github.com/theforeman/foreman/p
ull/8736
Description

package.json contains dependencies, that are only required for tests and dev, but not building of assets (and packages),

it would be nice if we had this as a list somewhere, so it can be consumed by packaging tools

Related issues:
Related to Foreman - Bug #33317: better differentiate between build, develop ... New

Associated revisions

Revision 7b682c60 - 08/23/2021 10:23 AM - Evgeni Golov
Fixes #33318 - add JS packages to be excluded for packaging
this list is taken from “update-requirements” in foreman-packaging and

is supposed to be the central place to manage those excludes from here
on. "update-requirements” will be updated to use this file.

Revision ff76393e - 08/23/2021 06:07 PM - Evgeni Golov
Refs #33318 - add a script to filter package.json

History

#1 - 08/23/2021 07:33 AM - Evgeni Golov
- Related to Bug #33317: better differentiate between build, develop and test dependencies for JavaScript added

#2 - 08/23/2021 07:37 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Evgeni Golov

- Pull request https://github.com/theforeman/foreman/pull/8729 added

#3 - 08/23/2021 10:23 AM - The Foreman Bot
- Fixed in Releases 3.1.0 added

#4 - 08/23/2021 11:08 AM - Evgeni Golov
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|7b682c60a2bf6332e663362470d356505ba2c6bc.

#5 - 08/23/2021 11:53 AM - The Foreman Bot
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/7b682c60a2bf6332e663362470d356505ba2c6bc

- Pull request https://github.com/theforeman/foreman/pull/8731 added

#6 - 08/24/2021 10:08 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/8736 added

#7 - 08/24/2021 10:30 AM - Evgeni Golov
- Fixed in Releases 3.0.0 added
- Fixed in Releases deleted (3.1.0)
